#include <bits/stdc++.h>
using namespace std;
bool pro(string a)
{
    map<int,char> m;
    if(a.size()%2==0)
    {
        for(int i=0; i<a.size(); i++)
        {
            m[a[i]]++;
        }
        for(int i=0; i<m.size(); i++)
        {
            if(m[i]%2!=0)
            {
                return false;
            }
        }
        return true;
    }
    else
    {
        for(int i=0; i<a.size(); i++)
        {
            m[a[i]]++;
        }
        int po=0;
        for(int i=0; i<m.size(); i++)
        {
            if(m[i]%2!=0)
            {
                po++;
            }
        }
        if(po==1)
        {
            return true;
        }
        else
        {
            return false;
        }
    }
}

int main()
{
    ios_base::sync_with_stdio(0);
    cin.tie(0);
    cout.tie(0);
    int n;
    cin>>n;
    for(int i=0; i<n; i++)
    {
        string a;
        cin>>a;
        cout<<pro(a);
    }
    return 0;
}

